defaultvalues = {g -> 9.81, ux -> 0.1, uy -> 0.3, uz -> 0.07, den1 -> 2700, 
     m1 -> 5.53, I1x -> 0.0474, I1y -> 0.0081, I1z -> 0.0465, ix -> 0.1, 
     ir -> 0.09, den2 -> 2202, m2 -> 5.52, I2x -> 0.02685, I2y -> 0.01807, 
     I2z -> 0.01807, tx -> 0.1, tr -> 0.09, den3 -> 2202, m3 -> 5.52, 
     I3x -> 0.02685, I3y -> 0.01807, I3z -> 0.01807, l1 -> 0.38, l2 -> 0.185, 
     l3 -> 0.28, nw1 -> 2, nw2 -> 4, nw3 -> 4, r1 -> 0.00025, r2 -> 0.000175, 
     r3 -> 0.00014, Y1 -> 1.65*^11, Y2 -> 1.65*^11, Y3 -> 1.65*^11, 
     ufc1 -> 1.8, ufc2 -> 3, ufc3 -> 0, d0 -> 0.001, d1 -> 0.001, 
     d2 -> 0.001, d3 -> 0.001, d4 -> 0.001, su -> 0., si -> 0.03, 
     sl -> 0.005, n0 -> 0.03, n1 -> 0.04, n2 -> 0.045, n3 -> 0.005 + ir, 
     n4 -> 0.01 + tr, n5 -> 0.01 + tr, 
     tl1 -> d0 + Sqrt[-(n0 - n1)^2 + sl1^2], 
     tl2 -> d1 + d2 + Sqrt[-(n2 - n3)^2 + sl2^2], 
     tl3 -> d3 + d4 + Sqrt[-(n4 - n5)^2 + sl3^2], ltotal -> tl1 + tl2 + tl3, 
     leverarmrt -> 0.03, leverarmrz -> 0.08, leverarmrl -> 0.08, gain -> 0.4, 
     gainrtzrtl -> gain, gaint -> 2.*gain, gainlrz -> gain, b1 -> 0.03, 
     b2 -> 0.03, b3 -> 0.03, b4 -> 0.03, b5 -> 0.03, b6 -> 0.03, 
     unstretched -> False, vertblades -> True, 
     ul1 -> If[unstretched, l1, l1 - ((m1 + m2 + m3)*g)/
         (nw1*kw1*Cos[ArcSin[(n0 - n1)/l1]])], 
     ul2 -> If[unstretched, l2, l2 - ((m2 + m3)*g)/
         (nw2*kw2*Cos[ArcSin[(n2 - n3)/l2]])], 
     ul3 -> If[unstretched, l3, 
       l3 - (m3*g)/(nw3*kw3*Cos[ArcSin[(n4 - n5)/l3]])], 
     sl1 -> If[unstretched, l1 + ((m1 + m2 + m3)*g)/
         (nw1*kw1*Cos[ArcTan[(n0 - n1)/l1]]), l1], 
     sl2 -> If[unstretched, l2 + ((m2 + m3)*g)/(nw2*kw2*
          Cos[ArcTan[(n2 - n3)/l2]]), l2], 
     sl3 -> If[unstretched, l3 + (m3*g)/(nw3*kw3*Cos[ArcTan[(n4 - n5)/l3]]), 
       l3], si1 -> (-n0 + n1)/sl1, si2 -> (-n2 + n3)/sl2, 
     si3 -> (-n4 + n5)/sl3, c1 -> Sqrt[-(-n0 + n1)^2 + sl1^2]/sl1, 
     c2 -> Sqrt[-(-n2 + n3)^2 + sl2^2]/sl2, 
     c3 -> Sqrt[-(-n4 + n5)^2 + sl3^2]/sl3, pitchbul -> 0, pitchbur -> 0, 
     pitchbll -> 0, pitchblr -> 0, pitchbllf -> pitchbll, 
     pitchblrf -> pitchblr, pitchbllb -> pitchbll, pitchblrb -> pitchblr, 
     rollbul -> If[vertblades, 0, -ArcSin[si1]], 
     rollbur -> If[vertblades, 0, ArcSin[si1]], 
     rollbll -> If[vertblades, 0, -ArcSin[si2]], 
     rollblr -> If[vertblades, 0, ArcSin[si2]], rollbllf -> rollbll, 
     rollblrf -> rollblr, rollbllb -> rollbll, rollblrb -> rollblr, 
     A1 -> 3.141592653589793*r1^2, A2 -> 3.141592653589793*r2^2, 
     A3 -> 3.141592653589793*r3^2, kw1 -> (A1*Y1)/l1, kw2 -> (A2*Y2)/l2, 
     kw3 -> (A3*Y3)/l3, kbuz -> 19.739208802178716*m1*ufc1^2, 
     kblz -> 9.869604401089358*m2*ufc2^2, 
     bdu -> (g*(m1/2 + m2/2 + m3/2)*If[vertblades, 1, 1/c1])/kbuz, 
     bdl -> (g*(m2/4 + m3/4)*If[vertblades, 1, 1/c2])/kblz, I1xy -> 0, 
     I1yz -> 0, I1zx -> 0, COM1x -> 0, COM1y -> 0, COM1z -> 0, FRP1x -> 0, 
     FRP1y -> 0, FRP1z -> 0, Ibtxyl -> 0, Ibtyzl -> 0, Ibtzxl -> 0, 
     I2xy -> 0, I2yz -> 0, I2zx -> 0, COM2x -> 0, COM2y -> 0, COM2z -> 0, 
     FRP2x -> 0, FRP2y -> 0, FRP2z -> 0, I3xy -> 0, I3yz -> 0, I3zx -> 0, 
     COM3x -> 0, COM3y -> 0, COM3z -> 0, FRP3x -> 0, FRP3y -> 0, FRP3z -> 0, 
     btx -> 0.03, bty -> 0.03, btz -> 0.03, phib -> 0.001, 
     M11 -> 0.7853981633974483*r1^4, M12 -> 0.7853981633974483*r1^4, 
     M21 -> 0.7853981633974483*r2^4, M22 -> 0.7853981633974483*r2^4, 
     M31 -> 0.7853981633974483*r3^4, M32 -> 0.7853981633974483*r3^4, 
     temperature -> 290., boltzmann -> 1.380658*^-23, alphasilica -> 5.1*^-7, 
     betasilica -> 0.00015, rhosilica -> 2200., Csilica -> 772., 
     Ksilica -> 1.38, Ysilica -> 7.*^10, phisilica -> 2.*^-8, 
     phissilica -> 3.2999999999999996*^-11, rhosteel -> 7800., 
     Csteel -> 486., Ksteel -> 49., Ysteel -> 1.65*^11, 
     alphasteel -> 0.000012, betasteel -> -0.00025, phisteel -> 0.0002, 
     rhomarag -> 7800., Cmarag -> 460., Kmarag -> 20., Ymarag -> 1.65*^11, 
     alphamarag -> 0.000011, betamarag -> 0., phimarag -> 0.0001, 
     tmU -> 0.0045, tmL -> 0.005, magicnumber -> 0.0732, 
     deltabladeU -> (alphamarag^2*temperature*Ymarag)/(Cmarag*rhomarag), 
     deltabladeL -> (alphamarag^2*temperature*Ymarag)/(Cmarag*rhomarag), 
     deltawireU -> (temperature*(alphasteel - (0.3183098861837907*betasteel*g*
            (m1 + m2 + m3))/(nw1*r1^2*Ysteel))^2*Ysteel)/(Csteel*rhosteel), 
     deltawireL -> (temperature*(alphasteel - (0.3183098861837907*betasteel*g*
            (m2 + m3))/(nw2*r2^2*Ysteel))^2*Ysteel)/(Csteel*rhosteel), 
     deltafibre -> (temperature*(alphasilica - (0.3183098861837907*betasilica*
            g*m3)/(nw3*r3^2*Ysilica))^2*Ysilica)/(Csilica*rhosilica), 
     taubladeU -> (0.10132118364233778*Cmarag*rhomarag*tmU^2)/Kmarag, 
     taubladeL -> (0.10132118364233778*Cmarag*rhomarag*tmL^2)/Kmarag, 
     tauwireU -> (4*Csteel*magicnumber*r1^2*rhosteel)/Ksteel, 
     tauwireL -> (4*Csteel*magicnumber*r2^2*rhosteel)/Ksteel, 
     tausilica -> 4.*Csilica*magicnumber*r3^2*rhosilica, 
     damping[imag, bladeUtype] -> 
      (phimarag + (deltabladeU*(2*N[Pi]*#1*taubladeU))/
         (1 + (2*N[Pi]*#1*taubladeU)^2) & ), damping[imag, bladeLtype] -> 
      (phimarag + (deltabladeL*(2*N[Pi]*#1*taubladeL))/
         (1 + (2*N[Pi]*#1*taubladeL)^2) & ), damping[imag, wireUtype] -> 
      (phisteel & ), damping[imag, wireLtype] -> (phisteel & ), 
     damping[imag, wireUatype] -> 
      (phisteel + (deltawireU*(2*N[Pi]*#1*tauwireU))/
         (1 + (2*N[Pi]*#1*tauwireU)^2) & ), damping[imag, wireLatype] -> 
      (phisteel + (deltawireL*(2*N[Pi]*#1*tauwireL))/
         (1 + (2*N[Pi]*#1*tauwireL)^2) & ), damping[imag, fibretype] -> 
      (phisilica + phissilica/(r3*2) & ), damping[imag, fibreatype] -> 
      (phisilica + phissilica/r3 + (deltafibre*(2*N[Pi]*#1*tausilica))/
         (1 + (2*N[Pi]*#1*tausilica)^2) & ), x00 -> 0, y00 -> 0, z00 -> 0, 
     yaw00 -> 0, pitch00 -> 0, roll00 -> 0, kconx1 -> 0, kcony1 -> 0, 
     kconz1 -> 0, kconyaw1 -> 0, kconpitch1 -> 0, kconroll1 -> 0, 
     kconx2 -> 0, kcony2 -> 0, kconz2 -> 0, kconyaw2 -> 0, kconpitch2 -> 0, 
     kconroll2 -> 0, kconx3 -> 0, kcony3 -> 0, kconz3 -> 0, kconyaw3 -> 0, 
     kconpitch3 -> 0, kconroll3 -> 0}
 
defaultvalues /: defaultvalues::usage = "defaultvalues is part of the \
specification of the model. It should be a list of substitutions for all \
constants. Some of the values can be given symbolically in terms of other \
constants in the list, but there should be enough given numerically that the \
whole collection becomes numeric when Recurse[] is applied."
 
g /: g::usage = "g is local gravity."
 
ux /: ux::usage = "ux is x size of second top mass (mass U)."
 
uy /: uy::usage = "uy is y size of second top mass (mass U)."
 
uz /: uz::usage = "uz is z size of second top mass (mass U)."
 
den1 /: den1::usage = "den1 is density of second top mass (mass U)."
 
m1 /: m1::usage = "m1 is mass of second top mass (mass U)."
 
I1x /: I1x::usage = "I1x is x-axis MOI of second top mass (mass U)."
 
I1y /: I1y::usage = "I1y is y-axis MOI of second top mass (mass U)."
 
I1z /: I1z::usage = "I1z is z-axis MOI of second top mass (mass U)."
 
ix /: ix::usage = "ix is thickness of intermediate mass (mass I)."
 
ir /: ir::usage = "iy is radius of intermediate mass (mass I)."
 
den2 /: den2::usage = "den2 is density of intermediate mass (mass I)."
 
m2 /: m2::usage = "m2 is mass of intermediate mass (mass I)."
 
I2x /: I2x::usage = "I2x is x-axis MOI of intermediate mass (mass I)."
 
I2y /: I2y::usage = "I2y is y-axis MOI of intermediate mass (mass I)."
 
I2z /: I2z::usage = "I2z is z-axis MOI of intermediate mass (mass I)."
 
tx /: tx::usage = "ux is thickness of optic."
 
tr /: tr::usage = "uy is radius of optic."
 
den3 /: den3::usage = "den3 is density of optic."
 
m3 /: m3::usage = "m3 is mass of optic."
 
I3x /: I3x::usage = "I3x is x-axis MOI of optic."
 
I3y /: I3y::usage = "I3y is y-axis MOI of optic."
 
I3z /: I3z::usage = "I3z is z-axis MOI of optic."
 
l1 /: l1::usage = "l1 is part of the specification of the model and \
represents the wire length from the blades on the structure to the top mass. \
It is interpreted as either a stretched length or an unstretched length \
depending on the value of the switch constant unstretched."
 
l2 /: l2::usage = "l2 is part of the specification of the model and \
represents the wire length from the blades on the top mass to intermediate \
mass. It is interpreted as either a stretched length or an unstretched length \
depending on the value of the switch constant unstretched."
 
l3 /: l3::usage = "l3 is part of the specification of the model and \
represents the wire (fibre) length from intermediate mass to optic. It is \
interpreted as either a stretched length or an unstretched length depending \
on the value of the switch constant unstretched."
 
nw1 /: nw1::usage = 
     "nw1 is number of wires from blades on structure to top mass (total)."
 
nw2 /: nw2::usage = "nw2 is number of wires from blades on top mass to \
intermediate mass (total)."
 
nw3 /: nw3::usage = 
     "nw3 is number of wires (fibres) from intermediate mass to optic \
(total)."
 
r1 /: r1::usage = 
     "r1 is radius of wires from blades on structure to top mass."
 
r2 /: r2::usage = 
     "r2 is radius of wires from blades on top mass to intermediate mass."
 
r3 /: r3::usage = 
     "r3 is radius of wires (fibres) from intermediate mass to optic."
 
Y1 /: Y1::usage = 
     "Y1 is Young's modulus of wires from blades on structure to top mass."
 
Y2 /: Y2::usage = "Y2 is Young's modulus of wires from blades on top mass to \
intermediate mass."
 
Y3 /: Y3::usage = 
     "Y3 is Young's modulus of wires (fibres) from intermediate mass to \
optic."
 
ufc1 /: ufc1::usage = "ufc1 is the \"uncoupled frequency\" (what they would \
vibrate at with only their \"uncoupled mass\", m1b) for the upper blades (on \
structure)."
 
ufc2 /: ufc2::usage = "ufc2 is the \"uncoupled frequency\" (what they would \
vibrate at with only their \"uncoupled mass\", m2b) for the lower blades (on \
top mass)."
 
d0 /: d0::usage = "d0 is the the height of the wire attachment points above \
the COM of mass U for the wires leading down from the blades on the \
structure."
 
d1 /: d1::usage = "d1 is the the height of the wire attachment points below \
the COM of mass U for the wires leading down to mass I."
 
d2 /: d2::usage = "d2 is the height of the wire attachment points above the \
COM of mass I for the wires leading down from the mass U."
 
d3 /: d3::usage = "d3 is the height of the wire attachment points below the \
COM of mass I for the wires leading down to the optic."
 
d4 /: d4::usage = "d4 is the the height of the wire attachment points above \
the COM of the optic for the wires leading down from mass I."
 
su /: su::usage = 
     "su is x-direction separation of wires from structure to top mass."
 
si /: si::usage = "si is x-direction separation of wires from second top mass \
to intermediate mass."
 
sl /: sl::usage = "sl is x-direction separation of wires (fibres) from \
intermediate mass to optic."
 
n0 /: n0::usage = "n0 is the y-direction separation of the wire attachment \
points on the upper blade springs for the wires leading down to the top \
mass."
 
n1 /: n1::usage = "n1 is the y-direction separation of the wire attachment \
points on the top mass for the wires leading down from the upper blade \
springs (on the structure)."
 
n2 /: n2::usage = "n2 is the y-direction separation of the wire attachment \
points on the lower blade springs for the wires leading down to mass I."
 
n3 /: n3::usage = "n3 is the y-direction separation of the wire attachment \
points on mass I for the wires leading down from the lower blade springs."
 
n4 /: n4::usage = "n4 is the y-direction separation of the wire attachment \
points on mass I for the wires leading down to the optic."
 
n5 /: n5::usage = "n5 is the y-direction separation of the wire attachment \
points on the optic for the wires leading down from mass I."
 
tl1 /: tl1::usage = "tl1 is the vertical distance spanned by the upper wires."
 
sl1 /: sl1::usage = 
     "sl1 is stretched wire length from blades on structure to top mass."
 
tl2 /: tl2::usage = "tl2 is the vertical distance spanned by the lower wires."
 
sl2 /: sl2::usage = 
     "sl2 is stretched wire length from blades on top mass to intermediate \
mass."
 
tl3 /: tl3::usage = "tl3 is the vertical distance spanned by the fibres."
 
sl3 /: sl3::usage = 
     "sl3 is stretched wire (fibre) length from intermediate mass to optic."
 
ltotal /: ltotal::usage = "ltotal is the vertical distance from the structure \
attachement point to the COM of the optic."
 
leverarmrt /: leverarmrt::usage = 
     "leverarmrt is part of the control stuff and is not yet used."
 
leverarmrz /: leverarmrz::usage = 
     "leverarmrz is part of the control stuff and is not yet used."
 
leverarmrl /: leverarmrl::usage = 
     "leverarmrl is part of the control stuff and is not yet used."
 
gaint /: gaint::usage = 
     "gaint is part of the control stuff and is not yet used."
 
gainlrz /: gainlrz::usage = 
     "gainlrz is part of the control stuff and is not yet used."
 
unstretched /: unstretched::usage = "unstretched is a switch that specifies \
whether ln, l1, l2 and l3 are to be interpreted as unstretched lengths or \
(approximate) stretched lengths."
 
ul1 /: ul1::usage = 
     "ul1 is unstretched wire length from blades on structure to top mass."
 
kw1 /: kw1::usage = "kw1 is net longitudinal elasticity of wires from blades \
on structure to top mass."
 
ul2 /: ul2::usage = "ul2 is unstretched wire length from blades on top mass \
to intermediate mass."
 
kw2 /: kw2::usage = "kw2 is net longitudinal elasticity of wires from blades \
on top mass to intermediate mass."
 
ul3 /: ul3::usage = 
     "ul3 is unstretched wire (fibre) length from intermediate mass to \
optic."
 
kw3 /: kw3::usage = "kw3 is net longitudinal elasticity of wires (fibres) \
from intermediate mass to optic."
 
A1 /: A1::usage = "A1 is effective average cross-sectional area of wires from \
blade springs on structure to top mass for the purposes of calculating the \
longitudinal elasticity."
 
A2 /: A2::usage = "A2 is effective average cross-sectional area of wires from \
blades on top mass to intermediate mass for the purposes of calculating the \
longitudinal elasticity."
 
A3 /: A3::usage = "A3 is effective average cross-sectional area of wires \
(fibres) from intermediate mass to optic for the purposes of calculating the \
longitudinal elasticity."
 
kbuz /: kbuz::usage = 
     "kbuz is the net vertical elasticity of the upper blades (on \
structure)."
 
kblz /: kblz::usage = 
     "kblz is the net vertical elasticity of the lower blades (on top mass)."
 
bdu /: bdu::usage = "bdu is the effective pre-stretch distance of the upper \
blades (on structure)."
 
bdl /: bdl::usage = "bdl is the effective pre-stretch distance of the lower \
blades (on second top mass)."
 
btx /: btx::usage = 
     "btx is x-direction size of the box drawn to represent the blade tips."
 
bty /: bty::usage = 
     "bty is x-direction size of the box drawn to represent the blade tips."
 
btz /: btz::usage = 
     "btz is x-direction size of the box drawn to represent the blade tips."
 
M11 /: M11::usage = "M11 is the moment of area of wires from blades on \
structure to top mass in direction \"1\"."
 
M12 /: M12::usage = "M12 is the moment of area of wires from blades on \
structure to top mass in direction \"2\""
 
M21 /: M21::usage = "M21 is the moment of area of wires from blades on top \
mass to intermediate mass in direction \"1\""
 
M22 /: M22::usage = "M22 is the moment of area of wires from blades on top \
mass to intermediate mass in direction \"2\""
 
M31 /: M31::usage = "M31 is the moment of area of wires (fibres) from \
intermediate mass to optic in direction \"1\""
 
M32 /: M32::usage = "M32 is the moment of area of wires (fibres) from \
intermediate mass to optic in direction \"2\""
 
temperature /: temperature::usage = "temperature is, well, guess."
 
alphasilica /: alphasilica::usage = 
     "alphasilica is the coefficient of thermal expansion for silica."
 
betasilica /: betasilica::usage = 
     "betasilica is the temperature dependence of Young's modulus for \
silica."
 
rhosilica /: rhosilica::usage = "rhosilica is the density for silica."
 
Csilica /: Csilica::usage = "Csilica is the heat capacity for silica."
 
Ksilica /: Ksilica::usage = "Ksilica is the bulk modulus for silica."
 
Ysilica /: Ysilica::usage = "Ysilica is the Young's modulus for silica."
 
phisilica /: phisilica::usage = "phisilica is the bulk loss angle for silica."
 
phissilica /: phissilica::usage = 
     "phissilica is the surface loss angle (units of m) for silica."
 
rhosteel /: rhosteel::usage = "rhosteel is the density for C70 steel."
 
Csteel /: Csteel::usage = "Csteel is the heat capacity for C70 steel."
 
Ksteel /: Ksteel::usage = "Ksteel is the bulk modulus for C70 steel."
 
Ysteel /: Ysteel::usage = "Ysteel is the Young's modulus for C70 steel."
 
alphasteel /: alphasteel::usage = 
     "alphasteel is the coefficient of thermal expansion for C70 steel."
 
betasteel /: betasteel::usage = 
     "betasteel is the temperature dependence of Young's modulus for C70 \
steel."
 
phisteel /: phisteel::usage = "phisteel is the bulk loss angle for C70 steel."
 
rhomarag /: rhomarag::usage = "rhomarag is the density for maraging steel."
 
Cmarag /: Cmarag::usage = "Cmarag is the heat capacity for maraging steel."
 
Kmarag /: Kmarag::usage = "Kmarag is the bulk modulus for maraging steel."
 
Ymarag /: Ymarag::usage = "Ymarag is the Young's modulus for maraging steel."
 
alphamarag /: alphamarag::usage = 
     "alphamarag is the coefficient of thermal expansion for maraging steel."
 
betamarag /: betamarag::usage = "betamarag is the temperature dependence of \
Young's modulus for maraging steel."
 
phimarag /: phimarag::usage = 
     "phimarag is the bulk loss angle for maraging steel."
 
magicnumber /: magicnumber::usage = 
     "magicnumber is a geometrical factor for thermoelastic damping."
 
deltabladeU /: deltabladeU::usage = "deltabladeU is the thermoelastic damping \
parameter delta for the upper blades."
 
deltabladeL /: deltabladeL::usage = "deltabladeL is the thermoelastic damping \
parameter delta for the lower blades."
 
deltawireU /: deltawireU::usage = "deltawireU is the thermoelastic damping \
parameter delta for the wires from the structure to mass N."
 
deltawireL /: deltawireL::usage = "deltawireL is the thermoelastic damping \
parameter delta for the wires from mass U to mass I."
 
deltafibre /: deltafibre::usage = "deltafibre is the thermoelastic damping \
parameter delta for the wires from mass I to the optic."
 
taubladeU /: taubladeU::usage = 
     "taubladeU is the thermoelastic damping parameter tau for the upper \
blades."
 
taubladeL /: taubladeL::usage = 
     "taubladeL is the thermoelastic damping parameter tau for the lower \
blades."
 
tauwireU /: tauwireU::usage = "tauwireU is the thermoelastic damping \
parameter tau for the wires from the structure to mass N."
 
tauwireL /: tauwireL::usage = "tauwireL is the thermoelastic damping \
parameter tau for the wires from mass U to mass I."
 
tausilica /: tausilica::usage = "tausilica is the thermoelastic damping \
parameter tau for the wires from mass I to the optic."
 
damping /: damping::usage = "damping[imag,dampingtype] is a multiplier giving \
the frequency dependence of the imaginary (i.e., lossy) part of any potential \
terms tagged with symbol dampingtype. It should be a Mathematica pure \
function which accepts a value of f in Hz. It defaults to 0& but can be given \
a value via a substitution in defaultvalues. damping[real,dampingtype] is the \
corresponding real (i.e., elastic) multiplier. It defaults to 1&."
